# -*- coding: iso-8859-1 -*-
# IMPORTANT! This encoding (charset) setting MUST be correct! If you live in a
# western country and you don't know that you use utf-8, you probably want to
# use iso-8859-1 (or some other iso charset). If you use utf-8 (a Unicode
# encoding) you MUST use: coding: utf-8
# That setting must match the encoding your editor uses when you modify the
# settings below. If it does not, special non-ASCII chars will be wrong.

"""
This is a sample config for a wiki that is part of a wiki farm and uses
farmconfig for common stuff. Here we define what has to be different from
the farm's common settings.
"""

# we import the FarmConfig class for common defaults of our wikis:
from farmconfig import FarmConfig

# now we subclass that config (inherit from it) and change what's different:
class Config(FarmConfig):

    # basic options (you normally need to change these)
    sitename = u'ep2008' # [Unicode]
    interwikiname = 'ep2008'

    # name of entry page / front page [Unicode], choose one of those:

    # a) if most wiki content is in a single language
    #page_front_page = u"MyStartingPage"

    # b) if wiki content is maintained in many languages
    page_front_page = u"FrontPage"

    # PB: Specific EP2008 settings.

    data_dir = '/home/paulb/Activities/EuroPython/2008/ep2008/wiki/data'
    data_underlay_dir = '/home/paulb/Activities/EuroPython/2008/ep2008/wiki/underlay'

    acl_enabled = 1
    acl_rights_default = 'Known:read,write,delete,revert All:read,write'
    acl_rights_before = 'AdminGroup:read,write,delete,revert,admin'

    theme_default = 'ep2008'

    logo_string = u'<img src="/wiki/ep2008/img/logo/Banner-258x80.png" alt="EuroPython" />'
    navi_bar = [
        # If you want to show your page_front_page here:
        #u'%(page_front_page)s',
        u'Registration',
        u'Location',
        u'Talks/Themes',
        #u'Events',
        u'Sprints',
        u'Calendar',
        u'[wiki:Participants Participate!]',
        u'[wiki:RecentChanges Updates]',
        #u'FindPage',
        #u'HelpContents',
    ]

    banner_string = u'<img src="/wiki/ep2008/img/sponsor_us.png" alt="Banner advertisement" id="banner" />'
    banner_alt_text = u'Sponsor of EuroPython'
    banner_prefix = u'sponsor'           # banner images need this prefix
    banner_per_page = 0                  # false value: use attachment page for images
    banner_attachment_page = u'Sponsors' # upload banner images to this page
    banner_link_page = u'Sponsors'       # make banner images link to this page

    contact_label = u'Contact Information'
    contact_page = u'Contact'

    contribute_string = u'Contribute to this site!'
    special_username = 0                 # show simple username or contribute string for login

    # RSS links for the blog.
    extra_rss = u'''
<link rel="alternate" type="application/rss+xml"
  title="EuroPython Conference RSS Feed" href="http://europython.wordpress.com/feed/" />
<link rel="pingback" href="http://europython.wordpress.com/xmlrpc.php" />'''

# vim: tabstop=4 expandtab shiftwidth=4
